# OpenLayers.Format.Filter.v1

Superclass for Filter version 1 parsers.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.Filter.v1 | Superclass for Filter version 1 parsers.
Constructor |
OpenLayers.Format.Filter.v1 | Instances of this class are not created directly.
Functions |
encodeLiteral | Generates the string representation of a value for use in <Literal> elements.

### Constructor

### OpenLayers.Format.Filter.v1

Instances of this class are not created directly. Use the OpenLayers.Format.Filter constructor instead.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### encodeLiteral

> encodeLiteral: function( | value | )

Generates the string representation of a value for use in <Literal> elements. The default encoder writes Date values as ISO 8601 strings.

#### Parameters

value | {Object} Literal value to encode

#### Returns

{String} String representation of the provided value.

> encodeLiteral: function( | value | )

Generates the string representation of a value for use in Literal elements.
Read and write XML.
Read/Write ogc:Filter.
Close